
const ИМЯ = "Маджонг | Mahjong";


// // // //


ЗапуститьМаджонг = мир =>
{
    мир.уведомить("ручной пуск");
    мир.уведомить("пуск маджонга");
};


// // // //


ЗадатьВерсиюМаджонга = мир =>
{
    var модуль = мир.модули.модульПоИмени(ИМЯ);
    мир.версия = модуль.версия;
};


// // // //


ОчиститьСтраницу = мир =>
{
    document.body.innerHTML = "";
};


// // // //


ЗагрузитьБиблиотекиМаджонга = мир =>
{
    var указатели = [];
    var модуль = мир.модули.модульПоИмени(ИМЯ);
    var содержимое = модуль.содержимое["/📦"];
    var строки = содержимое.split(/\n/);
    for (var номер in строки)
    {
        var строка = строки[номер];
        if (!строка.startsWith("#") && строка.length)
        {
            указатели.push(строка);
        }
    }
    
    var сообщение = "Загрузка библиотек Маджонга | Loading Mahjong libraries";
    console.debug(сообщение, указатели);

    var html = "";
    for (var номер in указатели)
    {
        var указатель = указатели[номер];
        html += `<li>${указатель}</li>`;
    }
    document.body.innerHTML += `<p>${сообщение}</p><ul>${html}</ul>`;

    мир.модули.использовали.подписатьРаз(function() {
        мир.уведомить("загрузили библиотеки маджонга");
    });

    мир.модули.использовать(указатели);
};

